Package Details: gtkmm4 4.0.1-1

Git Clone URL: https://aur.archlinux.org/gtkmm4.git (read-only, click to copy)
Package Base: gtkmm4
Description: C++ bindings for GTK+ 4
Upstream URL: https://www.gtkmm.org/
Licenses: LGPL
Submitter: egore911
Maintainer: egore911
Last Packager: egore911
Votes: 4
Popularity: 2.30
First Submitted: 2021-01-25 12:45
Last Updated: 2021-03-07 23:50

Latest Comments

crazySocket commented on 2021-02-22 10:39

gtkmm4 depends on glibmm268 (how?). I had error below.

Found pkg-config: /usr/bin/pkg-config (1.7.3)
Found CMake: /usr/bin/cmake (3.19.5)
Run-time dependency sigc++-3.0 found: NO (tried pkgconfig and cmake)

glibmm/meson.build:106:0: ERROR: Dependency "sigc++-3.0" not found, tried pkgconfig and cmake

A full log can be found at /home/user/.cache/yay/glibmm268/src/build/meson-logs/meson-log.txt
==> ERROR: A failure occurred in build().
    Aborting...
Error making: glibmm268 (glibmm268 glibmm268-docs)

To fix you should install libsigc++3 first. yay lists libsigc++3 among dependencies, however, glibmm268 is built before libsigc++3.